読者です 読者をやめる 読者になる 読者になる

【Ruby】ruby-filemagicのインストールでエラーになる

はじめに

画像チェックの処理を実装したいと思い
ruby-filemagicというライブラリが良さそうだったので
インストールしようとしたところ、エラーになったのでメモ。

結論

GitHubのREADMEを読みましょう。

github.com

解決策

Mac

brew install libmagic

CentOS

yum install file-devel